{% extends "base.html" %}

{% block content %}
    <div>
        <h1>My Tasks</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in task_list %}
                    <tr>
                        <td>{{ task.name }}</td>
                        <td>{{ task.start_date }}</td>
                        <td>{{ task.due_date }}</td>
                        {% if task.is_completed == True %}
                            <td>Done</td>
                        {% else %}
                            <td>
                                <form method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="is_completed" value="True" />
                                    <button>Complete</button>
                                </form>
                            </td>
                        {% endif %}
                    {% empty %}
                        <p>You have no tasks</p>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}
